<template lang="pug">
  el-dialog( :close-on-click-modal='false', :visible.sync='visible' :modal-append-to-body='false')
    div(slot='title')
      span.title-bold 详情
    el-form(:model='dataForm',  ref='dataForm',  label-width='100px')
      el-row(:span='24')
        el-col(:span='12')
          el-form-item(label="姓名:")
            font {{dataForm.name}}
        el-col(:span='12')
          el-form-item(label="性别:" )
            font(v-if='dataForm.gender===0') 女
            font(v-if='dataForm.gender===1') 男
        el-col(:span='12')
          el-form-item(label="出生日期:")
            font {{dataForm.birthday}}
        el-col(:span='12')
          el-form-item(label="政治面貌:")
            font {{dataForm.politicCountenanceName}}
        el-col(:span='12')
          el-form-item(label="民族:")
            font {{dataForm.nationName}}
        el-col(:span='12')
          el-form-item(label="证件号码:")
            font {{dataForm.card_number}}
        el-col(:span='12')
          el-form-item(label="移动电话:")
            font {{dataForm.mobile}}
        el-col(:span='12')
          el-form-item(label="人员类型:")
            font {{dataForm.typesName}}
        el-col(:span='24')
          el-form-item(label="专长:")
            font {{dataForm.skill}}
    div
    span.dialog-footer(slot='footer')
      el-button(type='danger' size='medium' @click='visible = false') 关闭
</template>

<script>
export default {
  data() {
    return {
      dataList: [],
      dataListLoading: false,
      visible: false,
      dataForm: {}
    }
  },
  methods: {
    init(row) {
      this.visible = true
      this.dataForm = row
      // console.log(row)
    }
  }
}
</script>
<style>
.el-table__header {
  width: 100% !important;
}
.el-table__body {
  width: 100% !important;
}
</style>
